>>
Prev | Orchestra Opcodes and Operators | Next

## >>

>> — Bitshift right operator.

## Description

The bitshift operators shift the bits to the left or to the right the number of bits given.

The priority of these operators is less binding that the arithmetic ones, but more binding that the comparisons.

Parentheses may be used as above to force particular groupings.

## Syntax

    a >> b  (bitshift left)

where the arguments a and b may be further expressions.

## Examples

See the entry for the << operator for an example.

## See also

Arithmetic and Logic Operations

Prev | Up | Next
<< | Home | &